# wxMDIClientWindow Class Reference
[Managed Windows]

`#include <wx/mdi.h>`

Inheritance diagram for wxMDIClientWindow:
[legend]

## Detailed Description

An MDI client window is a child of wxMDIParentFrame, and manages zero or more wxMDIChildFrame objects.

Remarks:

The client window is the area where MDI child windows exist. It doesn't have to cover the whole parent frame; other windows such as toolbars and a help window might coexist with it. There can be scrollbars on a client window, which are controlled by the parent window style.

The wxMDIClientWindow class is usually adequate without further derivation, and it is created automatically when the MDI parent frame is created. If the application needs to derive a new class, the function wxMDIParentFrame::OnCreateClient() must be overridden in order to give an opportunity to use a different class of client window.

Under wxMSW, the client window will automatically have a sunken border style when the active child is not maximized, and no border style when a child is maximized.

##

Library: wxCore

Category: Managed Windows

See also:
  wxMDIChildFrame, wxMDIParentFrame, wxFrame

## Public Member Functions
| wxMDIClientWindow ()
| Default constructor.
virtual bool | CreateClient (wxMDIParentFrame *parent, long style=0)
| Called by wxMDIParentFrame immediately after creating the client window.

List of all members.

## Constructor & Destructor Documentation

wxMDIClientWindow::wxMDIClientWindow | ( |  | ) |

Default constructor.

Objects of this class are only created by wxMDIParentFrame which uses the default constructor and calls CreateClient() immediately afterwards.

## Member Function Documentation

virtual bool wxMDIClientWindow::CreateClient | ( | wxMDIParentFrame * | parent,
|  | long | style = `0` |
| ) |  |  | `[virtual]`

Called by wxMDIParentFrame immediately after creating the client window.

This function may be overridden in the derived class but the base class version must usually be called first to really create the window.

Parameters:

  | parent | The window parent.
  | style | The window style. Only wxHSCROLL and wxVSCROLL bits are meaningful here.

|  | [ top ]